Bug 506928 - Fence-Agents: support non-default TCP ports for the different services (SSH, Telnet)
Fence-Agents: support non-default TCP ports for the different services (SSH, ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On: 496446
Blocks: 572996 579059 593726
  Show dependency treegraph
 
Reported: 2009-06-19 07:04 EDT by Marek Grac
Modified: 2016-04-26 12:05 EDT (History)
8 users (show)

See Also:
Fixed In Version: cman-2.0.115-4.el5
Doc Type: Bug Fix
Doc Text:
The fence_wti agent provides command line options to override default ports (i.e. -u option). This option currently does not have any effect and should not be used. Other agents honor the port override commandline options properly.
Story Points: ---
Clone Of: 496446
: 572996 (view as bug list)
Environment:
Last Closed: 2010-03-30 04:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (8.36 KB, patch)
2009-08-31 11:26 EDT, Marek Grac
no flags Details | Diff

  None (edit)
Description Marek Grac 2009-06-19 07:04:31 EDT
+++ This bug was initially created as a clone of Bug #496446 +++

Description of problem:
At least with IBM's RSA, you can easily change the default ports of SSH and Telnet services. The agents should accept an optional param specifying the port (or accept address in the form of address:port)

Version-Release number of selected component (if applicable):
ovirt1.0snap9

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from pmyers@redhat.com on 2009-04-20 11:10:18 EDT ---

Moving this to be in next version of RHEVH.  If this is a strict requirement for 1.0 release we'll need to get PM approval to add this as an exception.

--- Additional comment from mgrac@redhat.com on 2009-06-15 09:38:09 EDT ---

Using address:port can be problem with ipv6 and we already have separate option 'udpport' for some agents.

--- Additional comment from fdinitto@redhat.com on 2009-06-16 01:38:30 EDT ---

maybe we can standardize on --port or --ipport or --tcpport. Afterall ssh and telnet don't use udp...

--- Additional comment from mgrac@redhat.com on 2009-06-18 04:18:33 EDT ---

port is already used (plug number)
--ipport looks ok for me 

imho udpport is already used also for tcp
Comment 4 Marek Grac 2009-08-28 08:57:43 EDT
Original (and simplified patch) need additional fix from 

http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commit;h=d91b912aedfe0b44a8fba970d4a670fba3607fec
Comment 5 Marek Grac 2009-08-31 11:26:51 EDT
Created attachment 359282 [details]
Proposed patch
Comment 9 Jaroslav Kortus 2010-03-11 11:58:06 EST
The fencing agents seem to accept new -u option and ipport STDIN parameter. The connection is made to the port specified.

However, none of the manpages was updated to reflect this change. "-u" option and the STDIN parameter "ipport" should be described in each agent's manpage.
Comment 10 Jaroslav Kortus 2010-03-11 12:14:36 EST
fence_wti -u 54444 -a 1.1.1.1 -n 44

this still connects to port 23, so not all fencing agents are handling the new options correctly.
Comment 15 Perry Myers 2010-03-12 10:17:44 EST
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The fence_wti agent provides command line options to override default ports (i.e. -u option).  This option currently does not have any effect and should not be used.  Other agents honor the port override commandline options properly.
Comment 18 Jaroslav Kortus 2010-03-12 10:49:57 EST
Marking as verified with remark to bug 572996.
Comment 21 errata-xmlrpc 2010-03-30 04:41:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0266.html

Note You need to log in before you can comment on or make changes to this bug.